package ru.yandex.autotests.directapi.apiclient.version5;

import com.google.gson.ExclusionStrategy;
import com.google.gson.FieldAttributes;

/**
 * Created by chicos on 10.12.2014.
 */
public class HashCodeCalcExclusionStrategyV5 implements ExclusionStrategy {
    public HashCodeCalcExclusionStrategyV5() {
    }

    public boolean shouldSkipField(FieldAttributes f) {
        return f.getName().startsWith("__")
                || f.getName().toLowerCase().equals("cause")
                || f.getName().toLowerCase().equals("stacktrace")
                || f.getName().toLowerCase().equals("suppressedexceptions")
                || f.getName().toLowerCase().equals("prices")
                || f.getName().toLowerCase().equals("coverage");
    }

    public boolean shouldSkipClass(Class<?> aClass) {
        return false;
    }
}
